# $Revision: 1.42 $, $Date: 2010/08/21 19:07:53 $
%include	/usr/lib/rpm/macros.php
%define		_class		HTML
%define		_subclass	CSS
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_pearname} - class for generating CSS declarations
Summary(pl.UTF-8):	%{_pearname} - klasa do generowania deklaracji CSS
Name:		php-pear-%{_pearname}
Version:	1.5.4
Release:	2
License:	BSD
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	3bf50656f73175b9d57c7dd35ece4b49
URL:		http://pear.php.net/package/HTML_CSS/
BuildRequires:	php-pear-PEAR >= 1:1.5.4
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pcre
Requires:	php-pear
Requires:	php-pear-HTML_Common >= 1.2.4
Requires:	php-pear-PEAR-core >= 1:1.5.4
Suggests:	php-pear-PHPUnit
Suggests:	php-pear-Services_W3C_CSSValidator
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# included in tests
%define		_noautoreq 'pear(HTML_TestListener.php)' 'pear(TestUnit.php)' 'pear(PEAR.*)' 'pear(Services/W3C/CSSValidator.*)' 'pear(PHPUnit.*)'

%description
%{_pearname} provides a simple interface for generating a stylesheet
declaration. It is completely standards compliant, and has some great
features:
- simple OO interface to CSS definitions
- output to:
  - inline stylesheet declarations
  - document internal stylesheet declarations
  - standalone stylesheet declarations
  - array of definitions

In addition, it shares the following with HTML_Common based classes:
- indent style support
- line ending style

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
%{_pearname} dostarcza prostego interfejsu do generowania deklaracji
arkusza stylów. Jest całkowicie zgodny ze standardami, i ma kilka
świetnych cech:
- prosty obiektowo zorientowany interfejs do definicji CSS
- wyjście do:
  - deklaracji arkusza stylów w miejscu
  - wewnętrznych deklaracji arkusza stylów w dokumencie
  - samodzielnego pliku z definicjami
  - tablicy definicji

Ponadto współdzieli następujące cechy z klasami opartymi na
HTML_Common:
- różne style wcięć
- różne rodzaje znaków końca linii

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl.UTF-8):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{version}-%{release}
AutoProv:	no
AutoReq:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl.UTF-8
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%doc docs/%{_pearname}/examples
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/%{_class}/%{_subclass}

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-HTML_CSS.spec,v $
Revision 1.42  2010/08/21 19:07:53  glen
- updated deps with pearize.sh
- release 2

Revision 1.41  2010/08/20 12:58:33  glen
- updated to: 1.5.4

Revision 1.40  2009/01/23 18:15:24  adamg
- updated to 1.5.3

Revision 1.39  2008-01-31 12:16:06  glen
- rel 2

Revision 1.38  2008-01-31 10:29:55  glen
- 1.5.0

Revision 1.37  2007-12-22 23:25:17  adamg
- updated to 1.4.0

Revision 1.36  2007-11-19 13:02:19  glen
- rel 2

Revision 1.35  2007-11-15 00:17:30  glen
- 1.3.0

Revision 1.34  2007-09-01 19:06:31  adamg
- updated to 1.2.0

Revision 1.33  2007/02/28 01:44:19  glen
- 1.1.3

Revision 1.32  2007/02/13 08:06:39  glen
- tabs in preamble

Revision 1.31  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.30  2006/12/26 12:46:17  adamg
- updated to 1.0.1

Revision 1.29  2006/06/26 07:54:57  adamg
- updated to 1.0.0

Revision 1.28  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.27  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.26  2006/04/02 13:41:37  glen
- include RC2 in release

Revision 1.25  2006/04/02 11:22:58  glen
- 1.0.0RC2

Revision 1.24  2006/03/29 22:29:07  glen
- rel 2 (rebuild with less deps)

Revision 1.23  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.22  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.21  2006/02/16 18:56:36  glen
- require php-pear-PEAR-core, not the full PEAR package with deps

Revision 1.20  2006/01/08 18:04:08  glen
- AutoReq: no for -tests

Revision 1.19  2005/10/27 18:43:44  qboosh
- define Epoch to 0 explicitly when using it

Revision 1.18  2005/10/06 17:26:16  glen
- update to 1.0.0 RC1

Revision 1.17  2005/10/05 20:11:06  glen
- rel 3

Revision 1.16  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.15  2005/09/27 22:13:36  glen
- fix requires for -tests (typo)

Revision 1.14  2005/09/27 22:06:16  glen
- include epoch into tests subpackage requires

Revision 1.13  2005/09/21 21:06:13  glen
- use new pear packaging

Revision 1.12  2004/12/03 22:12:55  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.11  2004/05/30 13:13:49  adamg
- fixed english information about status of the package

Revision 1.10  2004/05/24 22:32:27  adamg
- updated to 0.3.4

Revision 1.9  2004/05/23 18:31:11  adamg
- updated to 0.3.3

Revision 1.8  2004/03/25 16:27:13  adamg
- updated to 0.3.2

Revision 1.7  2004/03/15 17:44:30  ankry
- massive cosmetics

Revision 1.6  2003/11/04 09:34:03  adamg
- updated to 0.3.1, License changed (it's PHP 3.0)

Revision 1.5  2003/11/03 23:32:32  adamg
- updated to 0.3.0 (NOTE: breaks BC)

Revision 1.4  2003/10/07 20:54:45  adamg
- do not use macros in URL

Revision 1.3  2003/08/31 20:49:09  adamg
- more specific URL

Revision 1.2  2003/08/02 17:29:21  qboosh
- pl fixes

Revision 1.1  2003/08/01 11:41:02  adamg
- initial import
